%define bname tcerl
Name: %{bname}drv
%define VSN 1.3.1
Version: %{VSN}e
Release: alt4
Summary: Erlang linked-in driver for Tokyo Cabinet
License: Open Source
Group: Development/Other
URL: http://%bname.googlecode.com
Source: %url/files/%name-%version.tar
Provides: %name = %VSN
Provides: erlang-%bname-drv = %VSN
Provides: erlang-%bname-drv = %version-%release
Obsoletes: erlang-%bname-drv < %version-%release
Requires: erlang-otp-common
Requires: libtokyocabinet >= 1.3.1
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-macros-erlang
BuildRequires: gcc-c++ fw-template-c fw-template-erlang erlang-devel
BuildRequires: libtokyocabinet-devel >= 1.3.1

%description
Erlang linked-in driver for Tokyo Cabinet.


%prep
%setup
sed -i -r -e 's/[[:blank:]]--revision[[:blank:]]+svn/ /g' bootstrap


%build
%set_libtool_version 1.5
./bootstrap
%configure \
    --disable-hardcore \
    --libdir=%_otplibdir/%bname-%VSN/priv/lib \
    --disable-static \
    --enable-dependency-tracking
%make_build


%install
%make_install DESTDIR=%buildroot install


%files
%doc AUTHORS COPYING ChangeLog README
%dir %_otplibdir/%bname-*
%dir %_otplibdir/%bname-*/priv
%dir %_otplibdir/%bname-*/priv/lib
%_otplibdir/%bname-*/priv/lib/*.so


%changelog
* Wed Nov 11 2009 Led <led@altlinux.ru> 1.3.1e-alt4
- rebuild with libtokyocabinet.so.9

* Tue May 26 2009 Led <led@altlinux.ru> 1.3.1e-alt3
- forced libtool version 1.5

* Wed Mar 11 2009 Led <led@altlinux.ru> 1.3.1e-alt2
- rebuild with libtokyocabinet.so.8

* Mon Mar 02 2009 Led <led@altlinux.ru> 1.3.1e-alt1
- 1.3.1e
- updated BuildRequires

* Tue Sep 09 2008 Led <led@altlinux.ru> 1.3.1-alt2
- rebuild with libtokyocabinet.so.5

* Fri Aug 01 2008 Led <led@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Mon Jul 28 2008 Led <led@altlinux.ru> 1.2.5f-alt2
- rebuilt with libtokyocabinet.so.4

* Sun Jul 27 2008 Led <led@altlinux.ru> 1.2.5f-alt1
- initial build
